tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: emacs

On Thu, Jun 14, 2012 at 4:12 PM, David Holland
<> wrote:
> (7) make the emacs packages not install "emacs" so multiple versions
> can coexist, and make the editors/emacs meta-package install "emacs"
> as a symlink to $EMACS_VERSION_DEFAULT, like lang/ruby does for ruby;

Why not use pkg_alternatives, which exists exactly for this purpose?
(... and allows users to customize what 'emacs' points to, regardless
of what whoever built the packages decided.)

Julio Merino / @jmmv

Home | Main Index | Thread Index | Old Index